layui.define(function(exports) {

    var pathRegex = function(value) {
        if(/^\/[^\s]*/.test(value)) {
            return true;
        }
        return false;
    }

    var uriRegex = function(value) {
        if(/(^#)|(^http(s*):\/\/[^\s]+)/.test(value)) {
            return true;
        }
        return false;
    }

    exports('regex', {
        path: pathRegex,
        uri: uriRegex
    })
});